## deepin-devicemanager 5.7.10

=== CMakeLists.txt ===
project(deepin-devicemanager C CXX)
add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager)
add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager-server)

=== deepin-devicemanager-server/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(APP_BIN_NAME "deepin-devicemanager-server")
set(SYSTEMD_SERVER "${CMAKE_CURRENT_SOURCE_DIR}/deepin-devicemanager-server.service")
set(DBUS_CONFIG "${CMAKE_CURRENT_SOURCE_DIR}/com.deepin.devicemanager.conf")
project(${APP_BIN_NAME})

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

# Find the library
FIND_PACKAGE(PkgConfig REQUIRED)
FIND_PACKAGE(QApt REQUIRED)
PKG_SEARCH_MODULE(kmod REQUIRED libkmod IMPORTED_TARGET)

# 设置包含头文件的时候不用包含路径 begin ****************************************************************************************
MACRO(SUBDIRLIST result curdir)
  FILE(GLOB children RELATIVE ${curdir} ${curdir}/*)
  SET(dirlist "")
  FOREACH(child ${children})
    IF(IS_DIRECTORY ${curdir}/${child})
      LIST(APPEND dirlist ${child})
    ENDIF()
  ENDFOREACH()
  SET(${result} ${dirlist})
ENDMACRO()
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
SUBDIRLIST(dirs ${CMAKE_CURRENT_SOURCE_DIR}/src)
foreach(dir ${dirs})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${dir})
endforeach()
# 设置包含头文件的时候不用包含路径 end ****************************************************************************************

#定义社区版宏begin
message("begin")
execute_process(COMMAND cat "/etc/os-version"
                OUTPUT_VARIABLE output_var)

if(output_var MATCHES "Community")
    option(COMMUNITY "OS community" ON)
    if(COMMUNITY)
        add_definitions(-DCOMMUNITY)
    endif()
endif()

message("end")
#定义社区版宏end

# 引用ZeroMQ的库 begin ****************************************************************
include_directories("/usr/include/cups/")
link_libraries("cups")
link_libraries("udev")
# 引用ZeroMQ的库 end  *****************************************************************

find_package(Qt5 COMPONENTS
    Core
    DBus
    Sql 
    Network REQUIRED)

file(GLOB_RECURSE SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
file(GLOB_RECURSE SRC_H ${CMAKE_CURRENT_LIST_DIR}/src/*.h)
add_executable(${PROJECT_NAME} ${SRC_CPP} ${SRC_H})

target_link_libraries(${APP_BIN_NAME} Qt5::Core Qt5::DBus Qt5::Sql Qt5::Network kmod QApt)

# Install files
install(TARGETS ${APP_BIN_NAME} DESTINATION bin)
install(FILES ${SYSTEMD_SERVER} DESTINATION /lib/systemd/system)
install(FILES ${DBUS_CONFIG} DESTINATION /etc/dbus-1/system.d)

#TEST--------------------------------------------------
add_subdirectory(./tests)

=== deepin-devicemanager/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     V4fr3e <V4fr3e@deepin.io>
#
# Maintainer: V4fr3e <liujinli@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 5.5.10.1)
endif ()


#common resource names
set(APP_RES_DIR "assets")
set(APP_BIN_NAME "deepin-devicemanager")
set(APP_TRANS_SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/translate_generation.sh")
set(APP_DESKTOP "${APP_RES_DIR}/deepin-devicemanager.desktop")
set(APP_QRC "${APP_RES_DIR}/appimage.qrc")
set(APP_ICON_FILE "${APP_RES_DIR}/icons/deepin/builtin/deepin-devicemanager.svg")
set(APP_AUTHENTICATION "${APP_RES_DIR}/com.deepin.deepin-devicemanager.policy")
project(${APP_BIN_NAME})

set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-need -fPIE -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
set(CMAKE_EXE_LINKER_FLAGS "-pie")

option (PERF_ON "Use provided math implementation" ON)

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif ()

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
endif()

#Generate the qm file
#message(${CMAKE_CURRENT_SOURCE_DIR})
execute_process(COMMAND bash ${APP_TRANS_SCRIPT} WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/")
configure_file(src/environments.h.in environments.h @ONLY)
configure_file(src/config.h.in config.h @ONLY)

# include dir
MACRO(SUBDIRLIST result curdir)
  FILE(GLOB children RELATIVE ${curdir} ${curdir}/*)
  SET(dirlist "")
  FOREACH(child ${children})
    IF(IS_DIRECTORY ${curdir}/${child})
      LIST(APPEND dirlist ${child})
    ENDIF()
  ENDFOREACH()
  SET(${result} ${dirlist})
ENDMACRO()
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
SUBDIRLIST(dirs ${CMAKE_CURRENT_SOURCE_DIR}/src)
foreach(dir ${dirs})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${dir})
endforeach()
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/docx)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/QtXlsxWriter/include/QtXlsx)

#add cups and zmq
include_directories("/usr/include/cups/")
link_libraries("cups")

file(GLOB_RECURSE SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp ${CMAKE_CURRENT_LIST_DIR}/3rdparty/*.cpp)
file(GLOB_RECURSE SRC_H ${CMAKE_CURRENT_LIST_DIR}/src/*.h ${CMAKE_CURRENT_LIST_DIR}/3rdparty/*.h)


# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5 COMPONENTS DBus REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(PolkitQt5-1 REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkCore REQUIRED)
find_package(DFrameworkdbus REQUIRED)

include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

# Tell CMake to create the executable
add_executable(${PROJECT_NAME} ${SRC_CPP} ${SRC_H} ${APP_QRC})

target_include_directories(${APP_BIN_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
target_link_libraries(${APP_BIN_NAME}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}

    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::DBus
    Qt5::Xml
    Qt5::Network
    PolkitQt5-1::Agent
)

set(CMAKE_INSTALL_PREFIX /usr)


# Install files
install(TARGETS deepin-devicemanager DESTINATION bin)

file(GLOB APP_QM_FILES "translations/*.qm")
install(FILES ${APP_QM_FILES} DESTINATION share/deepin-devicemanager/translations)
install(FILES ${APP_DESKTOP} DESTINATION share/applications)
install(FILES ${APP_ICON_FILE} DESTINATION /usr/share/icons/hicolor/scalable/apps)
install(DIRECTORY ${APP_RES_DIR}/deepin-devicemanager DESTINATION /usr/share/deepin-manual/manual-assets/application/)
install(FILES ${APP_AUTHENTICATION} DESTINATION /usr/share/polkit-1/actions)

# Test--------deepin-devicemanager
add_subdirectory(./tests)

=== deepin-devicemanager-server/tests/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     V4fr3e <V4fr3e@deepin.io>
#
# Maintainer: V4fr3e <liujinli@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 5.5.10.1)
endif ()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option (PERF_ON "Use provided math implementation" ON)

# 设置包含头文件的时候不用包含路径 begin ****************************************************************************************
macro(SUBDIRLIST result curdir)
    file(GLOB children RELATIVE ${curdir} ${curdir}/*)
    set(dirlist "")
    foreach(child ${children})
        if(IS_DIRECTORY ${curdir}/${child})
            LIST(APPEND dirlist ${child})
        endif()
    endforeach()
    set(${result} ${dirlist})
endmacro()

# 引用ZeroMQ的库 begin ****************************************************************
link_libraries("zmq")
# 引用ZeroMQ的库 end  *****************************************************************

find_package(GTest REQUIRED)
include_directories(${GTEST_INCLUDE_DIRS})

find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5 COMPONENTS DBus REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Sql REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(DtkCore REQUIRED)
find_package(DFrameworkdbus REQUIRED)
find_package(QApt REQUIRED)

#PKG_SEARCH_MODULE(kmod REQUIRED libkmod IMPORTED_TARGET)

set(PROJECT_NAME_TEST
    ${PROJECT_NAME}-test)

ADD_COMPILE_OPTIONS(-fno-access-control)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src)
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src/${subdir})
endforeach()

#src
file(GLOB_RECURSE APP_SRCS
     ${CMAKE_CURRENT_LIST_DIR}/../src/*.cpp
    )
# remove src main.cpp or will multi define
list(REMOVE_ITEM APP_SRCS ${CMAKE_CURRENT_LIST_DIR}/../src/main.cpp)

#test src
file(GLOB_RECURSE TEST_SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
file(GLOB_RECURSE TEST_SRC_H ${CMAKE_CURRENT_LIST_DIR}/src/*.h)

add_executable(${PROJECT_NAME_TEST} ${APP_SRCS} ${TEST_SRC_CPP} ${TEST_SRC_H})

target_include_directories(${PROJECT_NAME_TEST}
    PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})

target_link_libraries(${PROJECT_NAME_TEST}
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::DBus
    Qt5::Sql
    Qt5::Network
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGUI_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
    pthread
    kmod
    QApt
    )

add_custom_target(test-server
    COMMAND echo " =================== TEST BEGIN ==================== "
    COMMAND ${CMAKE_BINARY_DIR}/deepin-devicemanager-server/tests/${PROJECT_NAME_TEST}
    COMMAND echo " =================== TEST END ==================== "
)
#'make test'命令依赖与我们的测试程序
add_dependencies(test ${PROJECT_NAME_TEST})

# 设置添加gocv相关信息的输出
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
  #安全测试选项
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
endif()

=== deepin-devicemanager/tests/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     V4fr3e <V4fr3e@deepin.io>
#
# Maintainer: V4fr3e <liujinli@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 5.5.10.1)
endif ()


#common resource names

set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-need -fPIE  -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
set(CMAKE_EXE_LINKER_FLAGS "-pie")

option (PERF_ON "Use provided math implementation" ON)

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif ()

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
endif()

#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")

#Generate the qm file
#message(${CMAKE_CURRENT_SOURCE_DIR})
execute_process(COMMAND bash ${APP_TRANS_SCRIPT} WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/")
configure_file(../src/environments.h.in environments.h @ONLY)
configure_file(../src/config.h.in config.h @ONLY)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5 COMPONENTS DBus REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(PolkitQt5-1 REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkCore REQUIRED)
find_package(DFrameworkdbus REQUIRED)


#add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager/tests/)
# Test--------deepin-devicemanager
find_package(GTest REQUIRED)
include_directories(${GTEST_INCLUDE_DIRS})

set(PROJECT_NAME_TEST
    ${PROJECT_NAME}-test)

ADD_COMPILE_OPTIONS(-fno-access-control)

#安全测试的开关
set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")

if(CMAKE_SAFETYTEST STREQUAL "")
    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")

#Include all third
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/QtXlsxWriter/)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/docx/)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/)

#add cups
include_directories("/usr/include/cups/")
link_libraries("cups")

#src
file(GLOB_RECURSE SRC_CPP
     ${CMAKE_CURRENT_LIST_DIR}/../src/*.cpp
     ${CMAKE_CURRENT_LIST_DIR}/../3rdparty/*.cpp
    )
# remove src main.cpp or will multi define
list(REMOVE_ITEM SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/../src/main.cpp)

file(GLOB_RECURSE TEST_SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
file(GLOB_RECURSE TEST_SRC_H ${CMAKE_CURRENT_LIST_DIR}/src/*.h)
add_executable(${PROJECT_NAME_TEST} ${SRC_CPP} ${TEST_SRC_CPP} ${TEST_SRC_H})

target_include_directories(${PROJECT_NAME_TEST}
    PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})

target_link_libraries(${PROJECT_NAME_TEST}
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::DBus
    Qt5::Xml
    Qt5::Test
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGUI_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
    PolkitQt5-1::Agent
    pthread
)

add_custom_target(test
    COMMAND echo " =================== TEST BEGIN ==================== "
    COMMAND ${CMAKE_BINARY_DIR}/deepin-devicemanager/tests/${PROJECT_NAME_TEST}
    COMMAND echo " =================== TEST END ==================== "
)
#'make test'命令依赖与我们的测试程序
add_dependencies(test ${PROJECT_NAME_TEST})

# 设置添加gocv相关信息的输出
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")

if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
  #安全测试选项
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
endif()

=== debian/changelog ===
deepin-devicemanager (5.7.10-1) unstable; urgency=medium

  * update

 -- Packages <packages@deepin.com>  Mon, 24 Jan 2022 13:15:53 +0800

deepin-devicemanager (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <liujuna@uniontech.com>  Thu, 17 Oct 2019 20:26:49 +0800

=== debian/control ===
Source: deepin-devicemanager
Section: devel
Priority: optional
Maintainer: Packages <packages@deepin.com>
Build-Depends: debhelper (>= 11), pkg-config, cmake, qtbase5-dev, libzmq3-dev, libdtkwidget-dev, libdtkgui-dev, qtbase5-private-dev, libdframeworkdbus-dev, libcups2-dev, libdtkcore-dev (>= 5.2.2.2),libgtest-dev,libkmod-dev,libqapt-dev,libqapt3-runtime,libpolkit-qt5-1-dev,qttools5-dev,qttools5-dev-tools,deepin-desktop-base
Standards-Version: 4.1.3

Package: deepin-devicemanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dmidecode, x11-xserver-utils, hwinfo, cups, upower, deepin-shortcut-viewer, lshw, libdtkcore5 (>= 5.2.2.2),libkmod2
Description: Device Manager is a handy tool for viewing hardware information and managing the devices.
 Device Manager helps users manage hardware devices installed on computers,
 through which users can view parameters and export data of all hardware devices running in the system.

## deepin-devicemanager 5.8.15

=== CMakeLists.txt ===
project(deepin-devicemanager C CXX)
add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager)
add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager-server)

#代码覆盖率开关
if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
endif()

=== deepin-devicemanager-server/CMakeLists.txt ===
--- 
+++ 
@@ -64,12 +64,15 @@
     DBus
     Sql 
     Network REQUIRED)
+find_package(DtkCore REQUIRED)
 
 file(GLOB_RECURSE SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
 file(GLOB_RECURSE SRC_H ${CMAKE_CURRENT_LIST_DIR}/src/*.h)
 add_executable(${PROJECT_NAME} ${SRC_CPP} ${SRC_H})
 
-target_link_libraries(${APP_BIN_NAME} Qt5::Core Qt5::DBus Qt5::Sql Qt5::Network kmod QApt)
+target_link_libraries(${APP_BIN_NAME}
+    ${DtkCore_LIBRARIES}
+    Qt5::Core Qt5::DBus Qt5::Sql Qt5::Network kmod QApt)
 
 # Install files
 install(TARGETS ${APP_BIN_NAME} DESTINATION bin)
@@ -77,4 +80,6 @@
 install(FILES ${DBUS_CONFIG} DESTINATION /etc/dbus-1/system.d)
 
 #TEST--------------------------------------------------
-add_subdirectory(./tests)
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+   add_subdirectory(./tests)
+endif()

=== deepin-devicemanager/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 set(APP_QRC "${APP_RES_DIR}/appimage.qrc")
 set(APP_ICON_FILE "${APP_RES_DIR}/icons/deepin/builtin/deepin-devicemanager.svg")
 set(APP_AUTHENTICATION "${APP_RES_DIR}/com.deepin.deepin-devicemanager.policy")
+set(APP_SERVICE "${APP_RES_DIR}/dbus/com.deepin.Devicemanager.service")
 project(${APP_BIN_NAME})
 
 set(CMAKE_VERBOSE_MAKEFILE ON)
@@ -104,10 +105,12 @@
 find_package(Qt5Network REQUIRED)
 find_package(Qt5Gui REQUIRED)
 find_package(Qt5Xml REQUIRED)
+find_package(QApt REQUIRED)
 find_package(PolkitQt5-1 REQUIRED)
 find_package(DtkWidget REQUIRED)
 find_package(DtkCore REQUIRED)
 find_package(DFrameworkdbus REQUIRED)
+
 
 include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
 
@@ -141,6 +144,10 @@
 install(FILES ${APP_ICON_FILE} DESTINATION /usr/share/icons/hicolor/scalable/apps)
 install(DIRECTORY ${APP_RES_DIR}/deepin-devicemanager DESTINATION /usr/share/deepin-manual/manual-assets/application/)
 install(FILES ${APP_AUTHENTICATION} DESTINATION /usr/share/polkit-1/actions)
+install(FILES ${APP_SERVICE} DESTINATION share/dbus-1/services)
 
 # Test--------deepin-devicemanager
-add_subdirectory(./tests)
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+   add_subdirectory(./tests)
+endif()
+

=== deepin-devicemanager/tests/CMakeLists.txt ===
--- 
+++ 
@@ -69,6 +69,7 @@
 find_package(PkgConfig REQUIRED)
 find_package(Qt5Widgets REQUIRED)
 find_package(Qt5 COMPONENTS DBus REQUIRED)
+find_package(Qt5Network REQUIRED)
 find_package(Qt5Gui REQUIRED)
 find_package(Qt5Xml REQUIRED)
 find_package(PolkitQt5-1 REQUIRED)
@@ -128,6 +129,7 @@
     Qt5::DBus
     Qt5::Xml
     Qt5::Test
+    Qt5::Network
     ${DtkWidget_LIBRARIES}
     ${DtkCore_LIBRARIES}
     ${DtkGUI_LIBRARIES}

=== deepin-devicemanager/3rdparty/QtXlsxWriter/src/xlsx/Makefile ===
#############################################################################
# Makefile for building: libQt5Xlsx.so.0.3.0
# Generated by qmake (3.1) (Qt 5.11.3)
# Project:  xlsx.pro
# Template: lib
# Command: /usr/lib/qt5/bin/qmake -o Makefile xlsx.pro
#############################################################################

MAKEFILE      = Makefile

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT -DQT_BUILD_XLSX_LIB -DQT_BUILDING_QT -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT_MOC_COMPAT -DQT_USE_QSTRINGBUILDER -DQT_DEPRECATED_WARNINGS -DQT_DISABLE_DEPRECATED_BEFORE=0x050000 -DQT_NO_EXCEPTIONS -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -O2 -fvisibility=hidden -fno-exceptions -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -O2 -std=c++1z -fvisibility=hidden -fvisibility-inlines-hidden -fno-exceptions -Wall -W -Wvla -Wdate-time -Wshift-overflow=2 -Wduplicated-cond -Wno-stringop-overflow -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I. -I../../include -I../../include/QtXlsx -I../../include/QtXlsx/0.3.0 -I../../include/QtXlsx/0.3.0/QtXlsx -I. -isystem /usr/include/x86_64-linux-gnu/qt5/QtGui/5.11.3 -isystem /usr/include/x86_64-linux-gnu/qt5/QtGui/5.11.3/QtGui -isystem /usr/include/x86_64-linux-gnu/qt5 -isystem /usr/include/x86_64-linux-gnu/qt5/QtGui -isystem /usr/include/x86_64-linux-gnu/qt5/QtCore/5.11.3 -isystem /usr/include/x86_64-linux-gnu/qt5/QtCore/5.11.3/QtCore -isystem /usr/include/x86_64-linux-gnu/qt5/QtCore -I.moc -isystem /usr/include/libdrm -I/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++
QMAKE         = /usr/lib/qt5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
QINSTALL      = /usr/lib/qt5/bin/qmake -install qinstall
QINSTALL_PROGRAM = /usr/lib/qt5/bin/qmake -install qinstall -exe
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
TAR           = tar -cf
COMPRESS      = gzip -9f
DISTNAME      = Qt5Xlsx0.3.0
DISTDIR = /home/archermind/Desktop/QtXlsxWriter/src/xlsx/.obj/Qt5Xlsx0.3.0
LINK          = g++
LFLAGS        = -Wl,-z,relro -Wl,--as-needed -Wl,--no-undefined -Wl,--version-script,QtXlsx.version -Wl,-O1 -Wl,--enable-new-dtags -shared -Wl,-Bsymbolic-functions -Wl,-soname,libQt5Xlsx.so.0
LIBS          = $(SUBLIBS) -lQt5Gui -lQt5Core -lpthread -lGL
AR            = ar cqs
RANLIB        = 
SED           = sed
STRIP         = strip

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = xlsxdocpropscore.cpp \
		xlsxdocpropsapp.cpp \
		xlsxrelationships.cpp \
		xlsxutility.cpp \
		xlsxsharedstrings.cpp \
		xlsxcontenttypes.cpp \
		xlsxtheme.cpp \
		xlsxformat.cpp \
		xlsxstyles.cpp \
		xlsxworkbook.cpp \
		xlsxabstractsheet.cpp \
		xlsxworksheet.cpp \
		xlsxchartsheet.cpp \
		xlsxzipwriter.cpp \
		xlsxdrawing.cpp \
		xlsxzipreader.cpp \
		xlsxdocument.cpp \
		xlsxcell.cpp \
		xlsxdatavalidation.cpp \
		xlsxcellreference.cpp \
		xlsxcellrange.cpp \
		xlsxrichstring.cpp \
		xlsxconditionalformatting.cpp \
		xlsxcolor.cpp \
		xlsxnumformatparser.cpp \
		xlsxdrawinganchor.cpp \
		xlsxmediafile.cpp \
		xlsxabstractooxmlfile.cpp \
		xlsxchart.cpp \
		xlsxsimpleooxmlfile.cpp \
		xlsxcellformula.cpp .moc/moc_xlsxdocument.cpp
OBJECTS       = .obj/xlsxdocpropscore.o \
		.obj/xlsxdocpropsapp.o \
		.obj/xlsxrelationships.o \
		.obj/xlsxutility.o \
		.obj/xlsxsharedstrings.o \
		.obj/xlsxcontenttypes.o \
		.obj/xlsxtheme.o \
		.obj/xlsxformat.o \
		.obj/xlsxstyles.o \
		.obj/xlsxworkbook.o \
		.obj/xlsxabstractsheet.o \
		.obj/xlsxworksheet.o \
		.obj/xlsxchartsheet.o \
		.obj/xlsxzipwriter.o \
		.obj/xlsxdrawing.o \
		.obj/xlsxzipreader.o \
		.obj/xlsxdocument.o \
		.obj/xlsxcell.o \
		.obj/xlsxdatavalidation.o \
		.obj/xlsxcellreference.o \
		.obj/xlsxcellrange.o \
		.obj/xlsxrichstring.o \
		.obj/xlsxconditionalformatting.o \
		.obj/xlsxcolor.o \
		.obj/xlsxnumformatparser.o \
		.obj/xlsxdrawinganchor.o \
		.obj/xlsxmediafile.o \
		.obj/xlsxabstractooxmlfile.o \
		.obj/xlsxchart.o \
		.obj/xlsxsimpleooxmlfile.o \
		.obj/xlsxcellformula.o \
		.obj/moc_xlsxdocument.o
DIST          = ../../.qmake.conf \
		../../.qmake.stash \
		../../include/QtXlsx/headers.pri \
		../../mkspecs/modules-inst/qt_lib_xlsx.pri \
		../../mkspecs/modules-inst/qt_lib_xlsx_private.pri \
		../../mkspecs/modules/qt_lib_xlsx.pri \
		qtxlsx.pri \
		xlsx.pro xlsxdocpropscore_p.h \
		xlsxdocpropsapp_p.h \
		xlsxrelationships_p.h \
		xlsxutility_p.h \
		xlsxsharedstrings_p.h \
		xlsxcontenttypes_p.h \
		xlsxtheme_p.h \
		xlsxformat.h \
		xlsxworkbook.h \
		xlsxstyles_p.h \
		xlsxabstractsheet.h \
		xlsxabstractsheet_p.h \
		xlsxworksheet.h \
		xlsxworksheet_p.h \
		xlsxchartsheet.h \
		xlsxchartsheet_p.h \
		xlsxzipwriter_p.h \
		xlsxworkbook_p.h \
		xlsxformat_p.h \
		xlsxglobal.h \
		xlsxdrawing_p.h \
		xlsxzipreader_p.h \
		xlsxdocument.h \
		xlsxdocument_p.h \
		xlsxcell.h \
		xlsxcell_p.h \
		xlsxdatavalidation.h \
		xlsxdatavalidation_p.h \
		xlsxcellreference.h \
		xlsxcellrange.h \
		xlsxrichstring_p.h \
		xlsxrichstring.h \
		xlsxconditionalformatting.h \
		xlsxconditionalformatting_p.h \
		xlsxcolor_p.h \
		xlsxnumformatparser_p.h \
		xlsxdrawinganchor_p.h \
		xlsxmediafile_p.h \
		xlsxabstractooxmlfile.h \
		xlsxabstractooxmlfile_p.h \
		xlsxchart.h \
		xlsxchart_p.h \
		xlsxsimpleooxmlfile_p.h \
		xlsxcellformula.h \
		xlsxcellformula_p.h xlsxdocpropscore.cpp \
		xlsxdocpropsapp.cpp \
		xlsxrelationships.cpp \
		xlsxutility.cpp \
		xlsxsharedstrings.cpp \
		xlsxcontenttypes.cpp \
		xlsxtheme.cpp \
		xlsxformat.cpp \
		xlsxstyles.cpp \
		xlsxworkbook.cpp \
		xlsxabstractsheet.cpp \
		xlsxworksheet.cpp \
		xlsxchartsheet.cpp \
		xlsxzipwriter.cpp \
		xlsxdrawing.cpp \
		xlsxzipreader.cpp \
		xlsxdocument.cpp \
		xlsxcell.cpp \
		xlsxdatavalidation.cpp \
		xlsxcellreference.cpp \
		xlsxcellrange.cpp \
		xlsxrichstring.cpp \
		xlsxconditionalformatting.cpp \
		xlsxcolor.cpp \
		xlsxnumformatparser.cpp \
		xlsxdrawinganchor.cpp \
		xlsxmediafile.cpp \
		xlsxabstractooxmlfile.cpp \
		xlsxchart.cpp \
		xlsxsimpleooxmlfile.cpp \
		xlsxcellformula.cpp
QMAKE_TARGET  = Qt5Xlsx
DESTDIR       = ../../lib/
TARGET        = libQt5Xlsx.so.0.3.0
TARGETA       = ../../lib/libQt5Xlsx.a
TARGET0       = libQt5Xlsx.so
TARGETD       = libQt5Xlsx.so.0.3.0
TARGET1       = libQt5Xlsx.so.0
TARGET2       = libQt5Xlsx.so.0.3


first: all
####### Build rules

../../lib/$(TARGET): QtXlsx.version $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@test -d ../../lib/ || mkdir -p ../../lib/
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../lib/$(TARGET)
	-$(MOVE) $(TARGET) ../../lib/$(TARGET)
	-$(DEL_FILE) ../../lib/$(TARGET0)
	-$(DEL_FILE) ../../lib/$(TARGET1)
	-$(DEL_FILE) ../../lib/$(TARGET2)
	-$(MOVE) $(TARGET0) ../../lib/$(TARGET0)
	-$(MOVE) $(TARGET1) ../../lib/$(TARGET1)
	-$(MOVE) $(TARGET2) ../../lib/$(TARGET2)



staticlib: $(TARGETA)

$(TARGETA): QtXlsx.version $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

../../lib/libQt5Xlsx.prl: 
	@$(QMAKE) -prl xlsx.pro 
Makefile: xlsx.pro ../../.qmake.conf ../../.qmake.cache /usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++/qmake.conf /usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_pre.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/linux.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/sanitize.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/qconfig.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KCodecs.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KSyntaxHighlighting.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_accessibility_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_designer.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_devicediscovery_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dtkcore.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dtkgui.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dtkwidget.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dtkwm.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_edid_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_egl_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eglfs_kms_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eglfsdeviceintegration_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eventdispatcher_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_fb_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_fontdatabase_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_glx_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_help.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_input_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_kms_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_linuxaccessibility_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimedia.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimediawidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_platformcompositor_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qml.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qmltest.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_quick.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_quickwidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_service_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql.pri \

=== debian/changelog ===
deepin-devicemanager (5.8.15-1) unstable; urgency=medium

  * update

 -- Packages <packages@deepin.com>  Fri, 12 Aug 2022 10:31:13 +0800

deepin-devicemanager (1.0) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <liujuna@uniontech.com>  Thu, 17 Oct 2019 20:26:49 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: deepin-devicemanager
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dmidecode, x11-xserver-utils, hwinfo, cups, upower, deepin-shortcut-viewer, lshw, libdtkcore5 (>= 5.2.2.2),libkmod2
+Depends: ${shlibs:Depends}, ${misc:Depends}, dmidecode, x11-xserver-utils, hwinfo, cups, upower, deepin-shortcut-viewer, lshw, libdtkcore5 (>= 5.2.2.2),libkmod2,deepin-elf-sign-tool
 Description: Device Manager is a handy tool for viewing hardware information and managing the devices.
  Device Manager helps users manage hardware devices installed on computers,
  through which users can view parameters and export data of all hardware devices running in the system.

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT := 5
# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/default.mk

override_dh_auto_configure:
	dh_auto_configure -- \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
    -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## deepin-devicemanager 5.8.17

=== deepin-devicemanager-server/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.7)
 
 set(APP_BIN_NAME "deepin-devicemanager-server")
 set(SYSTEMD_SERVER "${CMAKE_CURRENT_SOURCE_DIR}/deepin-devicemanager-server.service")
@@ -18,6 +18,9 @@
 # Find the library
 FIND_PACKAGE(PkgConfig REQUIRED)
 FIND_PACKAGE(QApt REQUIRED)
+find_package(PolkitQt5-1 REQUIRED)
+find_package(DFrameworkdbus REQUIRED)
+
 PKG_SEARCH_MODULE(kmod REQUIRED libkmod IMPORTED_TARGET)
 
 # 设置包含头文件的时候不用包含路径 begin ****************************************************************************************
@@ -72,7 +75,8 @@
 
 target_link_libraries(${APP_BIN_NAME}
     ${DtkCore_LIBRARIES}
-    Qt5::Core Qt5::DBus Qt5::Sql Qt5::Network kmod QApt)
+    ${DFrameworkdbus_LIBRARIES}
+    Qt5::Core Qt5::DBus Qt5::Sql Qt5::Network PolkitQt5-1::Agent kmod QApt)
 
 # Install files
 install(TARGETS ${APP_BIN_NAME} DESTINATION bin)

=== deepin-devicemanager-server/tests/CMakeLists.txt ===
--- 
+++ 
@@ -61,6 +61,7 @@
 find_package(DtkWidget REQUIRED)
 find_package(Qt5Network REQUIRED)
 find_package(DtkCore REQUIRED)
+find_package(PolkitQt5-1 REQUIRED)
 find_package(DFrameworkdbus REQUIRED)
 find_package(QApt REQUIRED)
 
@@ -105,6 +106,7 @@
     ${DFrameworkdbus_LIBRARIES}
     ${GTEST_LIBRARIES}
     ${GTEST_MAIN_LIBRARIES}
+    PolkitQt5-1::Agent
     pthread
     kmod
     QApt

=== debian/changelog ===
deepin-devicemanager (5.8.17-1) unstable; urgency=medium

  * update

 -- Packages <packages@deepin.com>  Wed, 31 Aug 2022 09:15:11 +0800

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: deepin-devicemanager
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dmidecode, x11-xserver-utils, hwinfo, cups, upower, deepin-shortcut-viewer, lshw, libdtkcore5 (>= 5.2.2.2),libkmod2,deepin-elf-sign-tool
+Recommends: uos-reporter, deepin-event-log
 Description: Device Manager is a handy tool for viewing hardware information and managing the devices.
  Device Manager helps users manage hardware devices installed on computers,
  through which users can view parameters and export data of all hardware devices running in the system.

## deepin-devicemanager 5.9.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,10 @@
 project(deepin-devicemanager C CXX)
+
+include(GNUInstallDirs)
+if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+   set(CMAKE_INSTALL_PREFIX /usr)
+endif()
+
 add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager)
 add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager-server)

=== deepin-devicemanager-server/CMakeLists.txt ===
--- 
+++ 
@@ -79,11 +79,11 @@
     Qt5::Core Qt5::DBus Qt5::Sql Qt5::Network PolkitQt5-1::Agent kmod QApt)
 
 # Install files
-install(TARGETS ${APP_BIN_NAME} DESTINATION bin)
+install(TARGETS ${APP_BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES ${SYSTEMD_SERVER} DESTINATION /lib/systemd/system)
-install(FILES ${DBUS_CONFIG} DESTINATION /etc/dbus-1/system.d)
+install(FILES ${DBUS_CONFIG} DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/dbus-1/system.d)
 
 #TEST--------------------------------------------------
-if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+if (CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
    add_subdirectory(./tests)
 endif()

=== deepin-devicemanager/CMakeLists.txt ===
--- 
+++ 
@@ -41,8 +41,8 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-need -fPIE -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
-set(CMAKE_EXE_LINKER_FLAGS "-pie")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
 
 option (PERF_ON "Use provided math implementation" ON)
 
@@ -132,22 +132,19 @@
     PolkitQt5-1::Agent
 )
 
-set(CMAKE_INSTALL_PREFIX /usr)
-
-
 # Install files
-install(TARGETS deepin-devicemanager DESTINATION bin)
+install(TARGETS deepin-devicemanager DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 file(GLOB APP_QM_FILES "translations/*.qm")
-install(FILES ${APP_QM_FILES} DESTINATION share/deepin-devicemanager/translations)
-install(FILES ${APP_DESKTOP} DESTINATION share/applications)
-install(FILES ${APP_ICON_FILE} DESTINATION /usr/share/icons/hicolor/scalable/apps)
-install(DIRECTORY ${APP_RES_DIR}/deepin-devicemanager DESTINATION /usr/share/deepin-manual/manual-assets/application/)
-install(FILES ${APP_AUTHENTICATION} DESTINATION /usr/share/polkit-1/actions)
-install(FILES ${APP_SERVICE} DESTINATION share/dbus-1/services)
+install(FILES ${APP_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-devicemanager/translations)
+install(FILES ${APP_DESKTOP} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+install(FILES ${APP_ICON_FILE} DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
+install(DIRECTORY ${APP_RES_DIR}/deepin-devicemanager DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
+install(FILES ${APP_AUTHENTICATION} DESTINATION ${CMAKE_INSTALL_DATADIR}/polkit-1/actions)
+install(FILES ${APP_SERVICE} DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)
 
 # Test--------deepin-devicemanager
-if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+if (CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
    add_subdirectory(./tests)
 endif()

=== deepin-devicemanager-server/tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,7 @@
 # Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
 #
-# Author:     V4fr3e <V4fr3e@deepin.io>
-#
-# Maintainer: V4fr3e <liujinli@uniontech.com>
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# SPDX-License-Identifier: GPL-3.0-or-later
 
 cmake_minimum_required(VERSION 3.7)

=== deepin-devicemanager/tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,7 @@
 # Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
 #
-# Author:     V4fr3e <V4fr3e@deepin.io>
-#
-# Maintainer: V4fr3e <liujinli@uniontech.com>
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# SPDX-License-Identifier: GPL-3.0-or-later
 
 cmake_minimum_required(VERSION 3.7)
 
@@ -32,8 +18,8 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-need -fPIE  -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
-set(CMAKE_EXE_LINKER_FLAGS "-pie")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE  -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
 
 option (PERF_ON "Use provided math implementation" ON)

=== debian/changelog ===
deepin-devicemanager (5.9.7-1+rb1) UNRELEASED; urgency=medium

  * qt5.15.8 rebuild

 -- Packages <packages@deepin.com>  Wed, 15 Feb 2023 09:34:17 +0800

deepin-devicemanager (5.9.7-1) unstable; urgency=medium

  * update

 -- Packages <packages@deepin.com>  Wed, 08 Feb 2023 11:58:08 +0800

deepin-devicemanager (5.9.7) unstable; urgency=medium

  * New version 5.9.7

 -- wangyu <wangyu@uniontech.com>  Wed, 08 Feb 2023 11:07:54 +0800

deepin-devicemanager (5.9.6) unstable; urgency=medium

  * New version 5.9.6

 -- wangyu <wangyu@uniontech.com>  Tue, 07 Feb 2023 17:52:52 +0800

deepin-devicemanager (5.9.5) unstable; urgency=medium

  * New version 5.9.5

 -- wangyu <wangyu@uniontech.com>  Fri, 30 Dec 2022 15:03:18 +0800

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 Package: deepin-devicemanager
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dmidecode, x11-xserver-utils, hwinfo, cups, upower, deepin-shortcut-viewer, lshw, libdtkcore5 (>= 5.2.2.2),libkmod2,deepin-elf-sign-tool
-Recommends: uos-reporter, deepin-event-log
+Depends: ${shlibs:Depends}, ${misc:Depends}, dmidecode, x11-xserver-utils, hwinfo, cups, upower, deepin-shortcut-viewer, lshw, libdtkcore5 (>= 5.2.2.2),libkmod2
+Recommends: uos-reporter, deepin-event-log, deepin-elf-sign-tool
 Description: Device Manager is a handy tool for viewing hardware information and managing the devices.
  Device Manager helps users manage hardware devices installed on computers,
  through which users can view parameters and export data of all hardware devices running in the system.
